Index: Makefile
===================================================================
--- Makefile	(revision 315656)
+++ Makefile	(working copy)
@@ -1927,6 +1927,7 @@
     SUBDIR += trac-scrumburndown
     SUBDIR += trac-simpleticket
     SUBDIR += trac-spam-filter
+    SUBDIR += trac-subtickets
     SUBDIR += trac-tags
     SUBDIR += trac-themeengine
     SUBDIR += trac-ticketimport
Index: trac-subtickets/Makefile
===================================================================
--- trac-subtickets/Makefile	(revision 0)
+++ trac-subtickets/Makefile	(working copy)
@@ -0,0 +1,30 @@
+# Created by: Hung-Yi Chen <gaod@hychen.org>
+# $FreeBSD$
+
+PORTNAME=	subtickets
+PORTVERSION=	0.2.0.${GITDATE}
+CATEGORIES=	www devel python
+MASTER_SITES=	http://distfiles.cse.tw/ \
+		https://github.com/itota/trac-subtickets-plugin/tarball/${GITVERSION}/
+PKGNAMEPREFIX=	trac-
+DISTNAME=	itota-trac-subtickets-plugin-a0fc153
+
+MAINTAINER=	gaod@hychen.org
+COMMENT=	Offers sub-ticket feature for managing tickets
+
+LICENSE=	BSD
+
+RUN_DEPENDS+=	tracd:${PORTSDIR}/www/trac
+
+WRKSRC=		${WRKDIR}/itota-trac-${PORTNAME}-plugin-${GITVERSION}
+GITVERSION=	a0fc153
+GITDATE=	20130328
+USE_PYTHON=	-2.7
+USE_PYDISTUTILS=	easy_install
+
+FETCH_ARGS=	-Fpr
+PYDISTUTILS_PKGNAME=	TracSubTicketsPlugin
+PYDISTUTILS_PKGVERSION=	${PORTVERSION:C/${GITDATE}//g}dev
+PLIST_FILES=		%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%
+
+.include <bsd.port.mk>
Index: trac-subtickets/distinfo
===================================================================
--- trac-subtickets/distinfo	(revision 0)
+++ trac-subtickets/distinfo	(working copy)
@@ -0,0 +1,2 @@
+SHA256 (itota-trac-subtickets-plugin-a0fc153.tar.gz) = 02d41766c2efeb70fabebb269afcbac5af1c1bcbbfc09e1f33f1cc0056c031b2
+SIZE (itota-trac-subtickets-plugin-a0fc153.tar.gz) = 7444
Index: trac-subtickets/files/patch-setup.cfg
===================================================================
--- trac-subtickets/files/patch-setup.cfg	(revision 0)
+++ trac-subtickets/files/patch-setup.cfg	(working copy)
@@ -0,0 +1,10 @@
+--- setup.cfg.orig	2013-03-28 05:06:54.072148000 +0800
++++ setup.cfg	2013-03-28 05:06:59.650566000 +0800
+@@ -1,6 +1,6 @@
+ [egg_info]
+ tag_build = .dev
+-tag_date = True
++tag_date = False
+ 
+ [extract_messages]
+ add_comments = TRANSLATOR:
Index: trac-subtickets/files/patch-tracsubtickets_api.py
===================================================================
--- trac-subtickets/files/patch-tracsubtickets_api.py	(revision 0)
+++ trac-subtickets/files/patch-tracsubtickets_api.py	(working copy)
@@ -0,0 +1,20 @@
+--- tracsubtickets/api.py.orig	2013-03-28 05:19:20.898573000 +0800
++++ tracsubtickets/api.py	2013-03-28 05:19:46.107341000 +0800
+@@ -153,7 +153,7 @@
+                            (parent, ticket.id))
+             # add a comment to old parent
+             xticket = Ticket(self.env, parent)
+-            xticket.save_changes(author, _('Remove a subticket #%s.') % ticket.id)
++            xticket.save_changes(author, _('Remove a subticket #%s. (%s)') % (ticket.id, ticket['summary']))
+             tn = TicketNotifyEmail(self.env)
+             tn.notify(xticket, newticket=False, modtime=xticket['changetime'])
+ 
+@@ -164,7 +164,7 @@
+                            (parent, ticket.id))
+             # add a comment to new parent
+             xticket = Ticket(self.env, parent)
+-            xticket.save_changes(author, _('Add a subticket #%s.') % ticket.id)
++            xticket.save_changes(author, _('Add a subticket #%s. (%s)') % (ticket.id, ticket['summary']))
+             tn = TicketNotifyEmail(self.env)
+             tn.notify(xticket, newticket=False, modtime=xticket['changetime'])
+ 
Index: trac-subtickets/pkg-descr
===================================================================
--- trac-subtickets/pkg-descr	(revision 0)
+++ trac-subtickets/pkg-descr	(working copy)
@@ -0,0 +1,3 @@
+This plugin offers sub-ticket feature for managing tickets.
+
+WWW: http://trac-hacks.org/wiki/SubticketsPlugin
